import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from "react";
import { BrowserRouter } from "react-router-dom";
import { RuntimeContext, initialRuntime } from "./RuntimeContext";
import RuntimePage from "./RuntimePage";
const ClientRuntime = ({ basename, schema }) => {
    const value = React.useMemo(() => (Object.assign(Object.assign({}, initialRuntime), { app: schema })), [schema]);
    return (_jsx(BrowserRouter, Object.assign({ basename: basename }, { children: _jsx(RuntimeContext.Provider, Object.assign({ value: value }, { children: _jsx(RuntimePage, {}) })) })));
};
export default ClientRuntime;
//# sourceMappingURL=ClientRuntime.js.map